Subject: [netatalk-admins] DHX uam with Solaris?

From: Steve Hillman <[email-masked]>
Date: Mon, 27 Sep 1999 15:33:35 -0700

Has anyone managed to enable the DHX uam by specifying the CRYPTO dir and
then compile netatalk under Solaris?

I've got the latest snapshot (08/04/99) and the latest OpenSSL. Build
attempts on both Solaris 2.5.1 w/ gcc-2.7.2.3 and Solaris 2.6 w/ gcc 2.95.1
fail the same way - as soon as it tries to link the uams_randnum.o object
file into uams_randnum.so, the linker comes back with a long list of
symbols in the libcrypto library and the error "relocations remain against
allocatable but non-writable sections". 

A search of this list's archives for this error message turns up nothing,
and since OpenSSL support has been included inside Netatalk for a number of
months, I suspect I might be on my own.

If anyone can shed any light on this, it'd be appreciated.

Thanks,
 
Steve Hillman,                   Senior Systems Administrator
604-291-3960                     Academic Computing Services
[email-masked]                   Simon Fraser University

"Give me ambiguity or give me something else"

---

From: [email-masked]
Date: Mon, 27 Sep 1999 21:17:34 -0400

On Mon, Sep 27, 1999 at 03:33:35PM -0700, Steve Hillman wrote:
} Has anyone managed to enable the DHX uam by specifying the CRYPTO dir and
} then compile netatalk under Solaris?

Yes, under Solaris 7.  At least it says it's available:

Sep  8 14:28:48 leprss.gsfc.nasa.gov afpd[229]: uam: uams_dhx.so loaded

We actually haven't used it yet.  We use randnum.
 
} 
} I've got the latest snapshot (08/04/99) and the latest OpenSSL. Build
} attempts on both Solaris 2.5.1 w/ gcc-2.7.2.3 and Solaris 2.6 w/ gcc 2.95.1
} fail the same way - as soon as it tries to link the uams_randnum.o object
} file into uams_randnum.so, the linker comes back with a long list of
} symbols in the libcrypto library and the error "relocations remain against
} allocatable but non-writable sections". 

Try rebuilding SSL and add a -fPIC to CFLAGS in the Makefile.  I don't
remember the exact error message I was getting, but shared libraries
like things they depend on to be relocatable.  As I recall, you
*don't* need to try to make .so's, all you need is that the objects in
the .a's themselves be relocatable.

} 
} A search of this list's archives for this error message turns up nothing,
} and since OpenSSL support has been included inside Netatalk for a number of
} months, I suspect I might be on my own.
} 
} If anyone can shed any light on this, it'd be appreciated.
} 
} Thanks,
}  
} Steve Hillman,                   Senior Systems Administrator
} 604-291-3960                     Academic Computing Services
} [email-masked]                   Simon Fraser University
} 
} "Give me ambiguity or give me something else"

-- 
Paul Schinder
[email-masked]

---

From: Richard Braun <[email-masked]>
Date: Tue, 28 Sep 1999 14:52:04 -0400 (EDT)

I am seeing this message continuously in the local3 syslog file on a
print server (an old Sparc running Solaris 2.5.1) running netatalk.

Sep 28 14:30:38 oberon atalkd[26477]: route: 30009 -> 64990.3: No such
file or directory

64990.3 is the network address of a Cisco router (as seen from
nbplkup).  Does anyone know what the message means?

rtb
======================================================================
Department of Computer Science, Duke University, Durham, NC 27708-0129
Email: [email-masked]    Office: D133 LSRC    Phone: (919) 660-6573